m-chrzan.xyz
aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2016-02-06 20:52:22 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2016-02-06 20:52:22 +0100
commit35f7f2eaf307fd9f563623ceaaf88ce939cde282 (patch)
treeb12fe3bae5d3d5b44986b5c6cd5f236643430c24 /src
parent96cab3d8e8ff7f236b23c3429fea80a0d25b7837 (diff)
Revert "show: allow passing prefix to clip"
This reverts commit fcb92ed69fc191e39379bad715371d8c28410885. Needs more discussion.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/password-store.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 032df7f..a28b128 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -224,7 +224,7 @@ cmd_usage() {
List passwords.
$PROGRAM find pass-names...
List passwords that match pass-names.
- $PROGRAM [show] [--clip[=line],-c[line]] pass-name
+ $PROGRAM [show] [--clip[=line-number],-c[line-number]] pass-name
Show existing password and optionally put it on the clipboard.
If put on the clipboard, it will be cleared in $CLIP_TIME seconds.
$PROGRAM grep search-string
@@ -304,7 +304,7 @@ cmd_show() {
--) shift; break ;;
esac done
- [[ $err -ne 0 ]] && die "Usage: $PROGRAM $COMMAND [--clip[=line],-c[line]] [pass-name]"
+ [[ $err -ne 0 ]] && die "Usage: $PROGRAM $COMMAND [--clip[=line-number],-c[line-number]] [pass-name]"
local path="$1"
local passfile="$PREFIX/$path.gpg"
@@ -313,13 +313,9 @@ cmd_show() {
if [[ $clip -eq 0 ]]; then
$GPG -d "${GPG_OPTS[@]}" "$passfile" || exit $?
else
- local pass
- if [[ $clip_location =~ ^[0-9]+$ ]]; then
- pass="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | tail -n +${clip_location} | head -n 1)"
- else
- pass="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | grep -m 1 "^${clip_location}")"
- fi
- [[ -n $pass ]] || die "There is no password to put on the clipboard at line '${clip_location}'."
+ [[ $clip_location =~ ^[0-9]+$ ]] || die "Clip location '$clip_location' is not a number."
+ local pass="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | tail -n +${clip_location} | head -n 1)"
+ [[ -n $pass ]] || die "There is no password to put on the clipboard at line ${clip_location}."
clip "$pass" "$path"
fi
elif [[ -d $PREFIX/$path ]]; then